Name:           serf
Version:        1.3.9
Release:        12%{?dist}1a
Summary:        High-Performance Asynchronous HTTP Client Library
License:        ASL 2.0
URL:            http://serf.apache.org/
Source0:        https://archive.apache.org/dist/serf/serf-%{version}.tar.bz2
BuildRequires:  apr-devel, apr-util-devel, openssl-devel

%description
The serf library is a C-based HTTP client library built upon the Apache 
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       apr-devel%{?_isa}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
scons \
      APR=%{_prefix} \
      APU=%{_prefix} \
      OPENSSL=%{_prefix} \
      PREFIX=%{_prefix} \
      LIBDIR=%{_libdir} \
      %{?_smp_mflags}

%install
scons PREFIX=%{_prefix} install --install-sandbox=%{buildroot}

find %{buildroot}%{_libdir} -type f -name '*.*a' -delete -print


%files
%license LICENSE NOTICE
%{_libdir}/*.dylib
%exclude %{_libdir}/libserf-1.dylib

%files devel
%doc CHANGES README design-guide.txt
%dir %{_includedir}/serf-1
%{_includedir}/serf-1/*
%{_libdir}/libserf-1.dylib
%{_libdir}/pkgconfig/serf*.pc

%changelog
* Mon Jun 6 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.1.3-12hepx1a
- 1st release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang
